osl::eval::ppair::PiecePairRawEval Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Public Member Functions | List of all members
osl::eval::ppair::PiecePairRawEval Class Reference

関係の価値は[-127,127]点の評価関数. More...

`#include <piecePairRawEval.h>`

Inheritance diagram for osl::eval::ppair::PiecePairRawEval:
[legend]
Collaboration diagram for osl::eval::ppair::PiecePairRawEval:
[legend]

## Public Types
typedef PiecePairEval < PiecePairRawEval, PiecePairRawTable > | base_t
Public Types inherited from osl::eval::ppair::PiecePairEval< PiecePairRawEval, PiecePairRawTable >
typedef PiecePairEvalTableBase < PiecePairRawTable > | base_t

## Public Member Functions
| PiecePairRawEval (const SimpleState &state)
Public Member Functions inherited from osl::eval::ppair::PiecePairEval< PiecePairRawEval, PiecePairRawTable >
void | changeTurn ()
int | expect (const SimpleState &state, Move m) const
| この時 state は move する前 More...
void | update (const SimpleState &new_state, Move last_move)
| この時 state は move した後 More...

## Additional Inherited Members
Static Public Member Functions inherited from osl::eval::ppair::PiecePairEval< PiecePairRawEval, PiecePairRawTable >
static int | diffWithMove (const SimpleState &state, Move move)
Static Public Attributes inherited from osl::eval::ppair::PiecePairEvalBase
static const int | ROUND_UP = 2
| roundup は 2^n であること More...
Protected Member Functions inherited from osl::eval::ppair::PiecePairEval< PiecePairRawEval, PiecePairRawTable >
| PiecePairEval (const SimpleState &state)
Protected Attributes inherited from osl::eval::ppair::PiecePairEvalBase
int | val

## Detailed Description

関係の価値は[-127,127]点の評価関数.

Definition at line 47 of file piecePairRawEval.h.

## Member Typedef Documentation

typedef PiecePairEval<PiecePairRawEval,PiecePairRawTable> osl::eval::ppair::PiecePairRawEval::base_t

Definition at line 50 of file piecePairRawEval.h.

## Constructor & Destructor Documentation

osl::eval::ppair::PiecePairRawEval::PiecePairRawEval | ( | const SimpleState & | state) |  |
| inlineexplicit

Definition at line 51 of file piecePairRawEval.h.

The documentation for this class was generated from the following file:

- piecePairRawEval.h